#ifndef __PYX_HAVE__slepc4py__SLEPc
#define __PYX_HAVE__slepc4py__SLEPc

struct PySlepcSTObject;
struct PySlepcIPObject;
struct PySlepcDSObject;
struct PySlepcEPSObject;
struct PySlepcSVDObject;
struct PySlepcQEPObject;

/* "slepc4py/SLEPc.pxd":30
 * from petsc4py.PETSc cimport Object
 * 
 * ctypedef public api class ST(Object) [             # <<<<<<<<<<<<<<
 *     type   PySlepcST_Type,
 *     object PySlepcSTObject,
 */
struct PySlepcSTObject {
  struct PyPetscObjectObject __pyx_base;
  ST st;
};
typedef struct PySlepcSTObject PySlepcSTObject;

/* "slepc4py/SLEPc.pxd":36
 *     cdef SlepcST st
 * 
 * ctypedef public api class IP(Object) [             # <<<<<<<<<<<<<<
 *     type   PySlepcIP_Type,
 *     object PySlepcIPObject,
 */
struct PySlepcIPObject {
  struct PyPetscObjectObject __pyx_base;
  IP ip;
};
typedef struct PySlepcIPObject PySlepcIPObject;

/* "slepc4py/SLEPc.pxd":42
 *     cdef SlepcIP ip
 * 
 * ctypedef public api class DS(Object) [             # <<<<<<<<<<<<<<
 *     type   PySlepcDS_Type,
 *     object PySlepcDSObject,
 */
struct PySlepcDSObject {
  struct PyPetscObjectObject __pyx_base;
  DS ds;
};
typedef struct PySlepcDSObject PySlepcDSObject;

/* "slepc4py/SLEPc.pxd":48
 *     cdef SlepcDS ds
 * 
 * ctypedef public api class EPS(Object) [             # <<<<<<<<<<<<<<
 *     type PySlepcEPS_Type,
 *     object PySlepcEPSObject,
 */
struct PySlepcEPSObject {
  struct PyPetscObjectObject __pyx_base;
  EPS eps;
};
typedef struct PySlepcEPSObject PySlepcEPSObject;

/* "slepc4py/SLEPc.pxd":54
 *     cdef SlepcEPS eps
 * 
 * ctypedef public api class SVD(Object) [             # <<<<<<<<<<<<<<
 *     type   PySlepcSVD_Type,
 *     object PySlepcSVDObject,
 */
struct PySlepcSVDObject {
  struct PyPetscObjectObject __pyx_base;
  SVD svd;
};
typedef struct PySlepcSVDObject PySlepcSVDObject;

/* "slepc4py/SLEPc.pxd":60
 *     cdef SlepcSVD svd
 * 
 * ctypedef public api class QEP(Object) [             # <<<<<<<<<<<<<<
 *     type   PySlepcQEP_Type,
 *     object PySlepcQEPObject,
 */
struct PySlepcQEPObject {
  struct PyPetscObjectObject __pyx_base;
  QEP qep;
};
typedef struct PySlepcQEPObject PySlepcQEPObject;

#ifndef __PYX_HAVE_API__slepc4py__SLEPc

#ifndef __PYX_EXTERN_C
  #ifdef __cplusplus
    #define __PYX_EXTERN_C extern "C"
  #else
    #define __PYX_EXTERN_C extern
  #endif
#endif

__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcST_Type;
__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcIP_Type;
__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcDS_Type;
__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcEPS_Type;
__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcSVD_Type;
__PYX_EXTERN_C DL_IMPORT(PyTypeObject) PySlepcQEP_Type;

#endif /* !__PYX_HAVE_API__slepc4py__SLEPc */

#if PY_MAJOR_VERSION < 3
PyMODINIT_FUNC initSLEPc(void);
#else
PyMODINIT_FUNC PyInit_SLEPc(void);
#endif

#endif /* !__PYX_HAVE__slepc4py__SLEPc */
